## indi-sx 1.15%2B20220129131520

=== debian/changelog ===
indi-sx (1.15+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:06:21 +0000

indi-sx (1.15-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Dec 2021 22:30:07 +0100

indi-sx (1.15-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 17:30:07 +0100
