=== debian/control ===
Source: indi-sx
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-sx
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-sx.git

Package: indi-sx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Starlight Xpress CCD and Filter Wheel
 This package contains the INDI driver for Startlight XPress CCD and
 filter wheel.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
