## indi-sx 1.15+20220611132721

=== debian/changelog ===
indi-sx (1.15+20220611132721-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:27:32 +0000
