## indi-sx 1.16%2B20221222162728

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUDEVRULES_INSTALL_DIR=$(shell pkg-config --variable=udevdir udev)/rules.d
